Subject: bug#72182: 31.0.50; static-if defined twice

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Jul 2024 21:07:47 +0300

> Cc: [email-masked]
> From: Philip Kaludercic <[email-masked]>
> Date: Fri, 19 Jul 2024 17:43:52 +0000
> 
> Jonas Bernoulli <[email-masked]> writes:
> 
> >> The `static-if' macro is currently being defined twice:  Once in
> >> subr.el, where it probably should occur, and then again in transient,
> >> added in
> >
> > I should have removed that when merging the standalone version into
> > Emacs.  I've done so now.
> 
> Where did you change what?  I just fetched the master branch and still
> find a definition of `static-if' in transient.el.

Jonas (correctly) did that on the emacs-30 branch.  Will be merged to
master soon.